# AddStoragePublisher

    public struct AddStoragePublisher<Storage> : Publisher where Storage : LocalStorage

A `Publisher` that emits a `ListSnapshot` whenever changes occur in the `ListPublisher`.

See also

DataStack.reactive.addStorage(_:)

### Publisher

- `Output`

  #### Declaration

  Swift

      public typealias Output = CoreStore.MigrationProgress<Storage>

- `Failure`

  #### Declaration

  Swift

      public typealias Failure = CoreStoreError

- `receive(subscriber:)`

  #### Declaration

  Swift

      public func receive<S>(subscriber: S) where S : Subscriber, S.Failure == CoreStoreError, S.Input == MigrationProgress<Storage>